# xgxr - Exploratory Graphics R Package - README

[![R-CMD-check](https://github.com/Novartis/xgxr/workflows/R-CMD-check/badge.svg)](https://github.com/Novartis/xgxr/actions)
[![license: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)

The xgxr package supports a structured approach for exploring PKPD data, which is used by [xGx website](https://opensource.nibr.com/xgx/).  The package contains helper functions for enabling the modeler to follow best R practices (by appending the program name, figure name location, and draft status to each plot) and the package enables the modeler to follow best graphical practices (by providing an xgx theme that reduces chart ink, and by providing time-scale, log-scale, and reverse-log-transform-scale functions for more readable axes).  Finally, the package provides some data checking and summarizing functions for rapidly exploring a PKPD dataset.

Detailed documentation of xgxr is available [here](https://opensource.nibr.com/xgxr/)

The xgxr package is also available on [CRAN](https://CRAN.R-project.org/package=xgxr).

If you're interested in contributing to this package, we follow the [tidyverse style guide](https://style.tidyverse.org/index.html).
